Subject: Re: [RFC/PATCH 1/3] powerpc: add ioremap_bat() function for setting up BAT translated IO regions.

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 07 Aug 2008 08:28:29 +1000

> there is a bunch of error checking and difference in semantics that  
> you need to fix.  I think introduce a new API for this is silly,  
> especially since we expect there to only be one actual invocation of  
> the API for serial console access.

Not necessarily....

There's another aspect to BAT mappings here. First, they should be
permanent (ie, not unmappable). That way, we have ioremap just use
an existing BAT mapping when asked for a device that is covered
by a BAT. This allows to have platform code do something like setup
a BAT over a bunch of SOC registers or over a device, to automagically
get drivers doing ioremap to that area benefit from it.

Ben.